C FORTRAN data retrieval code to read and print the GHCN climate
C data files (Files 12-15 on the first magnetic tape)...
C
C Variable declarations...
C
      INTEGER COUNTRY, STATION, YEAR, MONTH(12)
C
C Initialize a record counter...
C
      NREC = 0
C
C Read in one line of data...
C
   10 READ (1, 1, END=99) COUNTRY, STATION, YEAR, (MONTH(J), J = 1, 12)
C
    1 FORMAT (I3, I7, I4, 12I5)
C
C If 58 lines of data have been read, then begin a new page...
C
      IF (MOD(NREC, 58) .EQ. 0) WRITE (6, 60)
C
   60 FORMAT ('1', ' Country/Station', 7X, 'Year', 4X, 
     *'Jan', 4X, 'Feb', 4X, 'Mar', 4X, 'Apr', 4X, 'May', 4X, 'Jun', 4X,
     *'Jul', 4X, 'Aug', 4X, 'Sep', 4X, 'Oct', 4X, 'Nov', 4X, 'Dec', /)
C
C Write out one line of data...
C
      WRITE (6, 6) COUNTRY, STATION, YEAR, (MONTH(J), J = 1, 12)
C
    6 FORMAT (4X, I3, 3X, I7, 7X, I4, 2X, 12(I5, 2X))
C
C Increment the record counter, then retrieve another line of data...
C
      NREC = NREC + 1
C
      GO TO 10
C
C If end of file, then stop...
C
   99 STOP
      END
